Linux s17.hosterpk.com 6.12.0-124.55.3.el10_1.x86_64 #1 SMP PREEMPT_DYNAMIC Thu May 7 16:54:02 EDT 2026 x86_64
LiteSpeed
Server IP : 192.169.89.90 & Your IP : 216.73.216.41
Domains :
Cant Read [ /etc/named.conf ]
User : hamzalar
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
lib /
dracut /
Delete
Unzip
Name
Size
Permission
Date
Action
dracut.conf.d
[ DIR ]
drwxr-xr-x
2026-05-27 07:01
modules.d
[ DIR ]
drwxr-xr-x
2026-01-30 00:00
dracut-functions
30.68
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-functions.sh
30.68
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-init.sh
38.09
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-initramfs-restore
3.99
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-install
76.48
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-logger.sh
13.52
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-util
15.45
KB
-rwxr-xr-x
2026-01-30 00:00
dracut-version.sh
26
B
-rw-r--r--
2026-01-30 00:00
ossl-config
15.31
KB
-rwxr-xr-x
2026-01-30 00:00
ossl-files
15.32
KB
-rwxr-xr-x
2026-01-30 00:00
skipcpio
15.43
KB
-rwxr-xr-x
2026-01-30 00:00
Save
Rename
#!/usr/bin/bash set -e # do some sanity checks first [ -e /run/initramfs/bin/sh ] && exit 0 [ -e /run/initramfs/.need_shutdown ] || exit 0 # SIGTERM signal is received upon forced shutdown: ignore the signal # We want to remain alive to be able to trap unpacking errors to avoid # switching root to an incompletely unpacked initramfs trap 'echo "Received SIGTERM signal, ignoring!" >&2' TERM KERNEL_VERSION="$(uname -r)" [[ $dracutbasedir ]] || dracutbasedir=/usr/lib/dracut SKIP="$dracutbasedir/skipcpio" [[ -x $SKIP ]] || SKIP="cat" find_initrd_for_kernel_version() { local kernel_version="$1" local base_path files initrd machine_id if [[ -d /efi/Default ]] || [[ -d /boot/Default ]] || [[ -d /boot/efi/Default ]]; then machine_id="Default" elif [[ -s /etc/machine-id ]]; then read -r machine_id < /etc/machine-id [[ $machine_id == "uninitialized" ]] && machine_id="Default" else machine_id="Default" fi if [ -n "$machine_id" ]; then for base_path in /efi /boot /boot/efi; do initrd="${base_path}/${machine_id}/${kernel_version}/initrd" if [ -f "$initrd" ]; then echo "$initrd" return fi done fi if [[ -f /lib/modules/${kernel_version}/initrd ]]; then echo "/lib/modules/${kernel_version}/initrd" elif [[ -f /boot/initramfs-${kernel_version}.img ]]; then echo "/boot/initramfs-${kernel_version}.img" else files=(/boot/initr*"${kernel_version}"*) if [ "${#files[@]}" -ge 1 ] && [ -e "${files[0]}" ]; then echo "${files[0]}" fi fi } mount -o ro /boot &> /dev/null || true IMG=$(find_initrd_for_kernel_version "$KERNEL_VERSION") if [ -z "$IMG" ]; then if [[ -f /boot/initramfs-linux.img ]]; then IMG="/boot/initramfs-linux.img" else echo "No initramfs image found to restore!" exit 1 fi fi cd /run/initramfs if (command -v zcat > /dev/null && $SKIP "$IMG" 2> /dev/null | zcat 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || (command -v bzcat > /dev/null && $SKIP "$IMG" 2> /dev/null | bzcat 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || (command -v xzcat > /dev/null && $SKIP "$IMG" 2> /dev/null | xzcat 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || (command -v lz4 > /dev/null && $SKIP "$IMG" 2> /dev/null | lz4 -d -c 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || (command -v lzop > /dev/null && $SKIP "$IMG" 2> /dev/null | lzop -d -c 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || (command -v zstd > /dev/null && $SKIP "$IMG" 2> /dev/null | zstd -d -c 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1) \ || ($SKIP "$IMG" 2> /dev/null | cpio -id --no-absolute-filenames --quiet > /dev/null 2>&1); then rm -f -- .need_shutdown else # something failed, so we clean up echo "Unpacking of $IMG to /run/initramfs failed" >&2 rm -f -- /run/initramfs/shutdown exit 1 fi if [[ -f squashfs-root.img ]]; then if ! unsquashfs -no-xattrs -f -d . squashfs-root.img > /dev/null; then echo "Squash module is enabled for this initramfs but failed to unpack squash-root.img" >&2 rm -f -- /run/initramfs/shutdown exit 1 fi elif [[ -f erofs-root.img ]]; then if ! fsck.erofs --extract=. --overwrite erofs-root.img > /dev/null; then echo "Squash module is enabled for this initramfs but failed to unpack erofs-root.img" >&2 rm -f -- /run/initramfs/shutdown exit 1 fi fi if grep -q -w selinux /sys/kernel/security/lsm 2> /dev/null \ && [ -e /etc/selinux/config ] && [ -x /usr/sbin/setfiles ]; then . /etc/selinux/config if [[ $SELINUX != "disabled" && -n $SELINUXTYPE ]]; then /usr/sbin/setfiles -v -r /run/initramfs /etc/selinux/"${SELINUXTYPE}"/contexts/files/file_contexts /run/initramfs > /dev/null fi fi exit 0